polybori.plot | index ../../../../lib/python2.7/dist-packages/polybori/plot.py

`plot.py
Created by Michael Brickenstein on 2008-10-17.
Copyright (c) 2008 The PolyBoRi Team.`

Modules

``

os | sys |  |

Functions

``

main()

monomial_path_in_zdd(mon, graph)

plot(p, filename, colored=True, format='png', highlight_monomial=None, fontsize=14, template_engine='jinja', landscape=False)
  `plots ZDD structure to <filename> in format <format>
  EXAMPLES:
  >>> r=Ring(1000)
  >>> x = r.variable
  >>> plot(x(1)+x(0),"/dev/null", colored=True)
  >>> plot(x(1)+x(0),"/dev/null", colored=False)`

render_genshi(data_dict)

render_jinja(data_dict)

Data
`` |  | ELSE = 'else' PIPE = -1 THEN = 'then' graph_template = '\ndigraph polynomial{\ngraph [\nordering="out"\n#if ...d="vee", penwidth="${penwidth_then(n)}"];\n#end\n}\n' graph_template_jinja = '\ndigraph polynomial{\n{% if landscape %}\nrankdir=...penwidth="{{penwidth_then(n)}}"];\n{% endfor %}\n}\n'